sdr::FilterNode< Scalar > Class Template Reference
Filter and signal processing nodes.

A FFT filter bank node wich consists of several filters. More...

`#include <filternode.hh>`

## Public Member Functions

| FilterNode (size_t block_size=1024)
| Constructor. More...
virtual | ~FilterNode ()
| Destructor. More...
Sink< std::complex< Scalar > > * | sink () const
| The filter sink. More...
FilterSource< Scalar > * | addFilter (double fmin, double fmax)
| Adds a filter to the filter bank. More...

## Protected Attributes

size_t | _block_size
| The block size of the filters. More...
double | _sample_rate
| The current sample rate. More...
BufferNode< std::complex< Scalar > > * | _buffer
| The input buffer (to ensure buffers of _block_size size. More...
FilterSink< Scalar > * | _fft_fwd
| The filter sink (forward FFT). More...
std::list< FilterSource< Scalar > * > | _filters
| The filter bank. More...

## Detailed Description

### template<class Scalar>
class sdr::FilterNode< Scalar >

A FFT filter bank node wich consists of several filters.

## Constructor & Destructor Documentation

template<class Scalar >

sdr::FilterNode< Scalar >::FilterNode | ( | size_t | block_size = `1024` | ) |

inline

Constructor.

template<class Scalar >

virtual sdr::FilterNode< Scalar >::~FilterNode | ( |  | ) |

inlinevirtual

Destructor.

## Member Function Documentation

template<class Scalar >

FilterSource<Scalar>* sdr::FilterNode< Scalar >::addFilter | ( | double | fmin,
|  | double | fmax
| ) |  |

inline

Adds a filter to the filter bank.

template<class Scalar >

Sink< std::complex<Scalar> >* sdr::FilterNode< Scalar >::sink | ( |  | ) | const

inline

The filter sink.

## Member Data Documentation

template<class Scalar >

size_t sdr::FilterNode< Scalar >::_block_size

protected

The block size of the filters.

template<class Scalar >

BufferNode< std::complex<Scalar> >* sdr::FilterNode< Scalar >::_buffer

protected

The input buffer (to ensure buffers of _block_size size.

template<class Scalar >

FilterSink<Scalar>* sdr::FilterNode< Scalar >::_fft_fwd

protected

The filter sink (forward FFT).

template<class Scalar >

std::list<FilterSource<Scalar> *> sdr::FilterNode< Scalar >::_filters

protected

The filter bank.

template<class Scalar >

double sdr::FilterNode< Scalar >::_sample_rate

protected

The current sample rate.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/filternode.hh